//Titel:            Testbeispiel für Interface-Technik
//Version:          1.0
//Copyright:        HS-Harz, FB AI
//Autor:            Dipl.-Inf. Dipl.-Ing. (FH) Michael Wilhelm
//Firma:
//Beschreibung:


// Interface Beispiel

import java.awt.*;
import java.awt.event.*;

import java.io.*;

import java.util.Vector;






public class interface1 {



   private static void pause() {
    try {
      System.in.read();
    }
    catch (IOException e) {
    }
  }  // pause

    // MAIN
  static public void main(String[] args) {
    circle c1 = new circle(11);
    circle c2;
    drawGUI ig;
    ig = c1;
    c2 = (circle) ig;
    System.out.println(c2.x);
    pause();
  }

}

interface drawGUI {
	public void draw(Graphics g);
} // drawGUI

interface drawGUI2 extends drawGUI {
	public void draw2(Graphics g);
} // drawGUI

class circle  implements drawGUI {
  int x=0;

  public circle(int x) {
    this.x = x;
  }
	public void draw(Graphics g) {
	}
} // drawGUI

